Bug 853240 - A non-PowerUser of the Data Center or Cluster should get error message in adding a VM from the PowerUser Portal.
A non-PowerUser of the Data Center or Cluster should get error message in add...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Einav Cohen
Lukas Svaty
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 16:28 EDT by Bill Sanford
Modified: 2013-03-07 20:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-03 16:39:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the PowerUser Portal empty fields. (122.56 KB, image/png)
2012-08-30 16:28 EDT, Bill Sanford
no flags Details

  None (edit)
Description Bill Sanford 2012-08-30 16:28:15 EDT
Created attachment 608297 [details]
Screenshot of the PowerUser Portal empty fields.

Description of problem:
A PowerUser can only create VMs in the PowerUser Portal if they are the PowerUser that is a part of the Data Center or Cluster.

If you assign a PowerUser to a VM, that PowerUser should get an error message that they can not create VMs from the PowerUser Portal. Currently, the VM PowerUser can seem to create VMs but will get a VM creation screen with empty Data Center, Cluster and Template fields. Instead of this fake dialog box, you should get an error with an explanation.

Version-Release number of selected component (if applicable):
RHEV-M si16

How reproducible:
100%

Steps to Reproduce:
1. Create VM and assign a PowerUser to that VM from the AdminPortal.
2. In the PowerUser Portal, try to create a new VM.
3.
  
Actual results:
Blank fields to create VM

Expected results:
Correct error message.

Additional info:
Comment 1 Itamar Heim 2013-03-03 16:39:21 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.